Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class ServiceContact

    java.lang.Object
      org.deegree.owscommon_1_1_0.ServiceContact

    public class ServiceContact

extends Object

`ServiceContact` wraps the service contact information of ows 1.1.0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`ServiceContact(String individualName, String positionName, ContactInfo contactInfo, Pair<String,String> role)`

Method Summary
`ContactInfo` | `getContactInfo()`
`String` | `getIndividualName()`
`String` | `getPositionName()`
`Pair<String,String>` | `getRole()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceContact

    public ServiceContact(String individualName,
                          String positionName,
                          ContactInfo contactInfo,
                          Pair<String,String> role)

Parameters:
  `individualName` -
  `positionName` -
  `contactInfo` -
  `role` - a pair containing < role, codeSpace >

Method Detail

### getIndividualName

    public final String getIndividualName()

  Returns:
    the individualName.

### getPositionName

    public final String getPositionName()

  Returns:
    the positionName.

### getContactInfo

    public final ContactInfo getContactInfo()

  Returns:
    the contactInfo.

### getRole

    public final Pair<String,String> getRole()

  Returns:
    the role as a < role, codeSpace > pair or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org